Bug 588433 - Review Request: rubygem-echoe - ruby gem pacaking tool
Review Request: rubygem-echoe - ruby gem pacaking tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: buildr
  Show dependency treegraph
 
Reported: 2010-05-03 13:47 EDT by Adam Young
Modified: 2010-11-23 17:00 EST (History)
6 users (show)

See Also:
Fixed In Version: rubygem-echoe-4.3.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-20 12:53:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2010-05-03 13:47:22 EDT
Spec URL: http://github.com/admiyo/MySpecs/blob/master/rubygem-echoe.spec
SRPM URL: http://admiyo.fedorapeople.org/buildr-repo/rubygem-echoe-4.3-1.young.src.rpm
Description: Echoe is a simple packaging tool for working with rubygems. It generates all the usual tasks for projects including rdoc generation, testing, packaging, and deployment.

This package is a dependnecy for buildr
Comment 1 Michael Stahnke 2010-08-29 22:40:14 EDT
%ruby_sitelib is not used or needed in this spec.  Please remove it. 


 rpmlint rubygem-echoe-4.3-1.fc15.src.rpm 
rubygem-echoe.src: E: summary-too-long C A Rubygems packaging tool that provides Rake tasks for documentation, extension compiling, testing, and deployment
rubygem-echoe.src:42: W: mixed-use-of-spaces-and-tabs (spaces: line 37, tab: line 42)
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

 rpmlint rubygem-echoe-4.3-1.fc15.noarch.rpm 
rubygem-echoe.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/echoe-4.3/vendor/rake/lib/rake/contrib/compositepublisher.rb 0644L /usr/bin/env
rubygem-echoe.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/echoe-4.3/vendor/rake/lib/rake/contrib/ftptools.rb 0644L /usr/bin/env
rubygem-echoe.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/echoe-4.3/vendor/rake/lib/rake/contrib/rubyforgepublisher.rb 0644L /usr/bin/env
rubygem-echoe.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/echoe-4.3/vendor/rake/lib/rake/contrib/sys.rb 0644L /usr/bin/env
rubygem-echoe.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/echoe-4.3/vendor/rake/lib/rake/contrib/publisher.rb 0644L /usr/bin/env


This section is not needed, and it even breaks trying to run the Rakefile in a %check (however this rakefile has no test/spec option)  Please remove it.  Files can marked as %doc outside of /usr/share/doc.
mkdir -p %{buildroot}/usr/share/doc/%{gemdir}-%{version}
for DOC in LICENSE CHANGELOG README TODO
    do mv  %{buildroot}%{geminstdir}/$DOC %{buildroot}/usr/share/doc/%{gemdir}-%{version}
done
Comment 2 Michal Fojtik 2010-10-13 05:26:38 EDT
ping.
Comment 3 Michal Fojtik 2010-10-13 06:21:58 EDT
Please correct name of this package, it's 'echoe', not echo. Also there are some typos as well:

Review Request: rubygem-echo - ruby gem pacaking tool

+ if you are short of time, I can take this package.
Comment 4 Mamoru TASAKA 2010-10-20 14:46:25 EDT
What is the status of this bug? Although it is not strictly
needed, if rubygem-echoe is available on Fedora it is preferable
for bug 642572.
Comment 5 Jesus M. Rodriguez 2010-10-21 09:16:34 EDT
(In reply to comment #3)
> Please correct name of this package, it's 'echoe', not echo. Also there are
> some typos as well:
> 
> Review Request: rubygem-echo - ruby gem pacaking tool
> 
> + if you are short of time, I can take this package.

Yes, definitely short on time. If you would like to take this package, I can give you what I have already.
Comment 6 Jesus M. Rodriguez 2010-10-21 09:18:46 EDT
(In reply to comment #4)
> What is the status of this bug? Although it is not strictly
> needed, if rubygem-echoe is available on Fedora it is preferable
> for bug 642572.

The status of the bug is not much movement has occurred. 
Current spec lives here:
http://github.com/jmrodri/MySpecs/raw/master/rubygem-echoe/rubygem-echoe.spec
Comment 7 Jesus M. Rodriguez 2010-10-21 09:20:36 EDT
Current srpm can be found:

http://jmrodri.fedorapeople.org/rubygem-echoe-4.3-2.fc13.src.rpm
Comment 8 Michal Fojtik 2010-10-27 03:58:41 EDT
* Wed Oct 27 2010 Michal Fojtik <mfojtik@redhat.com> 4.3.1-1
- Version bump
- Fixed file list (marked doc files)
- Removed vendored rake

Spec URL: http://mifo.sk/RPMS/rubygem-echoe.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-echoe-4.3.1-1.fc13.src.rpm
Comment 9 Mamoru TASAKA 2010-10-27 04:04:26 EDT
Michal, are you going to review this ticket or be a maintainer
for this package? A review request submitter cannot be the reviewer.
Comment 10 Michal Fojtik 2010-10-27 05:13:51 EDT
(In reply to comment #9)
> Michal, are you going to review this ticket or be a maintainer
> for this package? A review request submitter cannot be the reviewer.

Oh yes, you are right. I willing to be a maintainer for this package.
Comment 11 Mamoru TASAKA 2010-10-27 05:36:40 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Michal, are you going to review this ticket or be a maintainer
> > for this package? A review request submitter cannot be the reviewer.
> 
> Oh yes, you are right. I willing to be a maintainer for this package.

Okay, then I will look into this later.
Comment 12 Mamoru TASAKA 2010-10-27 15:39:05 EDT
Some notes

* Unused macro
  - Defined macro %ruby_sitelib is used nowhere

* Usability
------------------------------------------------------
$ ruby -rubygems -e "require 'echoe'"
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- /usr/lib/ruby/gems/1.8/gems/echoe-4.3.1/lib/../vendor/rake/lib/rake/contrib/compositepublisher (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/echoe-4.3.1/lib/echoe.rb:6
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from -e:1
------------------------------------------------------
  - Seems because vendorlized "rake" is removed. lib/echoe.rb also
    needs fixing (note that vendorlized rake should surely be removed)
Comment 13 Mamoru TASAKA 2010-10-27 15:39:55 EDT
(Just to clearify that I checked this:

(In reply to comment #8)
> * Wed Oct 27 2010 Michal Fojtik <mfojtik@redhat.com> 4.3.1-1
> - Version bump
> - Fixed file list (marked doc files)
> - Removed vendored rake
> 
> Spec URL: http://mifo.sk/RPMS/rubygem-echoe.spec
> SRPM URL: http://mifo.sk/RPMS/rubygem-echoe-4.3.1-1.fc13.src.rpm

)
Comment 14 Mamoru TASAKA 2010-11-08 12:39:24 EST
ping?
Comment 15 Michal Fojtik 2010-11-09 05:26:08 EST
Sorry for late reply, here are updated files:

* Tue Nov 09 2010 Michal Fojtik <mfojtik@redhat.com> 4.3.1-2
- Removed vendorized rake from echoe.rb
- Removed unused site_lib macro

================ 4.3.1-2 =============

Spec URL: http://mifo.sk/RPMS/rubygem-echoe.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-echoe-4.3.1-2.fc14.src.rpm
Comment 16 Mamoru TASAKA 2010-11-10 13:09:43 EST
One more comment
------------------------------------------------
rubygem-echoe.noarch: E: summary-too-long C A Rubygems packaging tool that provides Rake tasks for documentation, extension compiling, testing, and deployment
------------------------------------------------
- Please shorten "Summary" (to within 79 characters)

----------------------------------------------------------
   This package (rubygem-echoe) is APPROVED by mtasaka
----------------------------------------------------------
Comment 17 Michal Fojtik 2010-11-12 16:10:04 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name:      rubygem-echoe
Short Description: A tool for packaging Ruby gems
Owners:            mfojtik
Branches:          f13 f14
Comment 18 Jason Tibbitts 2010-11-13 11:48:22 EST
Git done (by process-git-requests).
Comment 19 Fedora Update System 2010-11-15 04:06:33 EST
rubygem-echoe-4.3.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-echoe-4.3.1-2.fc13
Comment 20 Fedora Update System 2010-11-15 04:11:33 EST
rubygem-echoe-4.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-echoe-4.3.1-2.fc14
Comment 21 Fedora Update System 2010-11-15 17:14:49 EST
rubygem-echoe-4.3.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-echoe'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-echoe-4.3.1-2.fc14
Comment 22 Mamoru TASAKA 2010-11-20 12:53:33 EST
Closing.
Comment 23 Fedora Update System 2010-11-23 16:55:28 EST
rubygem-echoe-4.3.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-11-23 17:00:45 EST
rubygem-echoe-4.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.